package com.gz.core.response;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description 响应结果枚举
 * @author LiuChangLan
 * @since 2021/1/26 22:23
 */
@Getter
@AllArgsConstructor
public enum ResponseEnum implements CustomResponsInterface{
    SUCCESS(200,"请求成功"),
    ILLEGAL_TOKEN(302,"非法Token"),
    TOKEN_EXPIRED(303,"Token过期"),
    OTHER_CLIENTS_LOGGED_IN(304,"在其他地方登录"),
    METHOD_ERROR(405,"请求方式错误"),
    NOT_FOUND(404,"请求地址不存在"),
    ;

    private Integer code;
    private String msg;
}
